server:
  port: 8092

spring:
  datasource:
    url: jdbc:mysql://mysql8.excn.vip:3308/mall?useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai&useSSL=false
    username: dingye
    password: 1d2y3456
    druid:
      initial-size: 5 #连接池初始化大小
      min-idle: 10 #最小空闲连接数
      max-active: 20 #最大连接数
      web-stat-filter:
        exclusions: "*.js,*.gif,*.jpg,*.png,*.css,*.ico,/druid/*" #不统计这些请求数据
      stat-view-servlet: #访问监控网页的登录用户名和密码
        login-username: druid
        login-password: druid

  redis:
    host: redis.excn.vip # Redis服务器地址
    database: 1 # Redis数据库索引（默认为0）
    port: 6380 # Redis服务器连接端口
    password: ueredis # Redis服务器连接密码（默认为空）
    jedis:
      pool:
        max-active: 8 # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1ms # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 8 # 连接池中的最大空闲连接
        min-idle: 0 # 连接池中的最小空闲连接
    timeout: 3000ms # 连接超时时间（毫秒）

  rabbitmq:
    addresses: 127.0.0.1
    port: 5672
    virtual-host: /mall
    username: mall
    password: mall
    publisher-confirms: true #如果对异步消息需要回调必须设置为true
#rabbitmq:
#  host: localhost
#  port: 5672
#  virtual-host: /mall
#  username: mall
#  password: mall
  #publisher-confirms: true #如果对异步消息需要回调必须设置为true

aliyun:
  oss:
    endpoint: oss-cn-hangzhou.aliyuncs.com # oss对外服务的访问域名
    accessKeyId: LTAIhZqtwiY76xZp # 访问身份验证中用到用户标识
    accessKeySecret: jDdgW3jp3pfPuQjGQfc3wMgWbAkO4S # 用户用于加密签名字符串和oss用来验证签名字符串的密钥
    bucketName: 507buy # oss的存储空间
    policy:
      expire: 300 # 签名有效期(S)
    maxSize: 10 # 上传文件大小(M)
    callback: http://106.12.215.221:8080/aliyun/oss/callback # 文件上传成功后的回调地址 暂时没用
    dir:
      prefix: mall/images/ # 上传文件夹路径前缀

#快递100配置信息
kuaidi100:
  url: http://poll.kuaidi100.com/poll/query.do
  customer: 958A8A7EF1B1C274186DA186189A8FC8
  key: PaKntlMx652

